## libpmount 0.0.4

=== debian/changelog ===
libpmount (0.0.4) unstable; urgency=low

  * Disabled code (needs more debugging):
    - src/*: Handle options field in mtab.
    - src/*: When asked to mount real files, attempt to use loop devices.
  * Updated kFreeBSD support.

 -- Robert Millan <rmh@debian.org>  Fri, 16 Jul 2004 12:00:47 +0200

libpmount (0.0.3) unstable; urgency=low

  * src/*: Implement mtab handling.
  * bashfile: Build with -Werror.
  * debian/rules: Generate $version automagicaly.

 -- Robert Millan <rmh@debian.org>  Wed, 14 Jul 2004 18:51:01 +0200

libpmount (0.0.2) unstable; urgency=low

  * bashfile: Fix library building for compliance with Policy sections
    8 and 10.2 (Closes: #257907)
  * bashfile: Implement target dependencies.
  * debian/control (Build-Depends): Nuked linux-gnu | kfreebsd-gnu.

 -- Robert Millan <rmh@debian.org>  Tue,  6 Jul 2004 18:54:21 +0200

libpmount (0.0.1) unstable; urgency=low

  * Initial Release. (Closes: #255716)

 -- Robert Millan <rmh@debian.org>  Mon, 21 Jun 2004 14:15:24 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=`head -n 1 debian/changelog | cut -d '(' -f 2- | cut -d ')' -f 1`
soname=`echo $$version | cut -d . -f -2`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	CFLAGS="$(CFLAGS)" ./bashfile check

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-./bashfile clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	DESTDIR=$(CURDIR)/debian/tmp ./bashfile install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_movefiles
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs -V "libpmount$(soname) (>= $(version))"
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## libpmount 0.0.6

=== Makefile ===
#
# libpmount Makefile
#

CFLAGS = -Wall -g
MK_CFLAGS = -D_REENTRANT

PACKAGE = libpmount
SOVERSION = 0.0
SONAME = $(PACKAGE).so.$(SOVERSION)
LIBNAME = $(PACKAGE).a

SRCS = $(addprefix src/,kerndep.c mtab.c pmount.c)
SH_OBJS = $(SRCS:.c=.lo)
ST_OBJS = $(SRCS:.c=.o)

%.lo: %.c
	$(CC) $(CFLAGS) $(MK_CFLAGS) -fPIC -c -o $@ $<

%.o: %.c
	$(CC) $(CFLAGS) $(MK_CFLAGS) -c -o $@ $<

build: $(SONAME) $(LIBNAME)

$(LIBNAME): $(ST_OBJS)
	$(AR) cru $@ $<

$(SONAME): $(SH_OBJS)
	$(CC) -Wl,-z,defs -Wl,-soname,$(SONAME) -shared -o $@ $<

check: build
	# check if we are root, and it's not fake
	if test `id -u` = 0 && test -z "$(FAKEROOTKEY)"; then \
	  for i in tests/*.sh; do sh $i; done \
	else \
	  echo "Not running as root, skipping checks." \
	fi

install: build
	mkdir -p $(DESTDIR)/usr/include
	mkdir -p $(DESTDIR)/usr/lib
	mkdir -p $(DESTDIR)/lib
	install -m644 src/pmount.h $(DESTDIR)/usr/include/
	install -s -m755 libpmount.so.0.0 $(DESTDIR)/lib/
	strip --strip-unneeded $(DESTDIR)/lib/libpmount.so.0.0
	install -m755 libpmount.a $(DESTDIR)/usr/lib/
	ln -s /lib/libpmount.so.0 $(DESTDIR)/usr/lib/libpmount.so
	ln -s libpmount.so.0.0 $(DESTDIR)/lib/libpmount.so.0

clean:
	$(RM) $(ST_OBJS)
	$(RM) $(SH_OBJS)
	$(RM) $(SONAME)
	$(RM) $(LIBNAME)

## libpmount 0.0.5

=== debian/changelog ===
libpmount (0.0.5) unstable; urgency=low

  * rules: Disable testsuite.  (Closes: #291269)

 -- Robert Millan <rmh@debian.org>  Thu, 20 Jan 2005 00:23:52 +0100

=== debian/control ===
Source: libpmount
Priority: optional
Section: libs
Maintainer: Robert Millan <rmh@debian.org>
Build-Depends: debhelper (>= 4.0.0), e2fsprogs
Standards-Version: 3.6.0

Package: libpmount-dev
Section: libdevel
Architecture: any
Depends: libpmount0.0 (= ${Source-Version})
Description: Portable mount library, development files
 This library implements functions pmount() and pumount() as wrappers to the
 real mount/unmount unportable interfaces on each platform.
 .
 Its goal is to provide a consistent interface application programmers can
 rely on for mounting and umounting filesystems without having to address
 kernel-related portability problems.
 .
 This package contains the static object and header files of libpmount.

Package: libpmount0.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Portable mount library, shared object
 This library implements functions pmount() and pumount() as wrappers to the
 real mount/unmount unportable interfaces on each platform.
 .
 Its goal is to provide a consistent interface application programmers can
 rely on for mounting and umounting filesystems without having to address
 kernel-related portability problems.
 .
 This package contains the libpmount shared object.

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	CFLAGS="$(CFLAGS)" ./bashfile check
+	CFLAGS="$(CFLAGS)" ./bashfile build
 
 	touch build-stamp

## libpmount 0.0.6

=== debian/changelog ===
libpmount (0.0.6) unstable; urgency=low

  * New Maintainer.
  * Rewrite package short description.
  * Clean debian/copyright.
  * Clean debian/rules.
  * Bump Standars-Version to 3.6.1 (no changes needed).
  * Rewrite bashfile to Makefile.
  * Remove Build-Depends on Essential e2fsprogs package.

 -- Guillem Jover <guillem@debian.org>  Sun,  5 Jun 2005 16:42:48 +0300

=== debian/control ===
Source: libpmount
Priority: optional
Section: libs
Maintainer: Guillem Jover <guillem@debian.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: libpmount-dev
Section: libdevel
Architecture: any
Depends: libpmount0.0 (= ${Source-Version})
Description: portable mount library - development files
 This library implements functions pmount() and pumount() as wrappers to
 the real mount/unmount unportable interfaces on each platform.
 .
 Its goal is to provide a consistent interface application programmers can
 rely on for mounting and umounting filesystems without having to address
 kernel-related portability problems.
 .
 This package contains the static object and header files of libpmount.

Package: libpmount0.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: portable mount library - shared library
 This library implements functions pmount() and pumount() as wrappers to
 the real mount/unmount unportable interfaces on each platform.
 .
 Its goal is to provide a consistent interface application programmers can
 rely on for mounting and umounting filesystems without having to address
 kernel-related portability problems.
 .
 This package contains the libpmount shared object.

## libpmount 0.0.7

=== debian/changelog ===
libpmount (0.0.7) unstable; urgency=low

  * Reintroduce missing symbols. (Closes: #323338)
  * Fix testsuite generation and generalize them by moving away from shell
    script files to a proper Makefile and a C source file. (Closes: #323339)
  * Use loop devices on linux if trying to mount a file image.
  * Make static internal functions __findloop, __getloop and __clrloop.
  * Switched to versioned symbols.
  * Now using Standars-Version 3.6.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Sun, 21 Aug 2005 09:37:41 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: libs
 Maintainer: Guillem Jover <guillem@debian.org>
 Build-Depends: debhelper (>= 4.0.0)
-Standards-Version: 3.6.1
+Standards-Version: 3.6.2
 
 Package: libpmount-dev
 Section: libdevel

## libpmount 0.0.8

=== debian/changelog ===
libpmount (0.0.8) unstable; urgency=low

  * Now using Standars-Version 3.7.2 (no changes needed).
  * Switched to debhelper compat level 5.
  * Update FSF's address.

 -- Guillem Jover <guillem@debian.org>  Sun,  6 Aug 2006 03:44:52 +0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Section: libs
 Maintainer: Guillem Jover <guillem@debian.org>
-Build-Depends: debhelper (>= 4.0.0)
-Standards-Version: 3.6.2
+Build-Depends: debhelper (>= 5)
+Standards-Version: 3.7.2
 
 Package: libpmount-dev
 Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

version=`head -n 1 debian/changelog | cut -d '(' -f 2- | cut -d ')' -f 1`
soname=`echo $$version | cut -d . -f -2`

build:
	dh_testdir
	
	$(MAKE) build CFLAGS="$(CFLAGS)"

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	
	-$(MAKE) clean
	
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	
	$(MAKE) install DESTDIR="$(CURDIR)/debian/tmp"

binary-indep: build install
# Nothing to do

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_movefiles
#	dh_install
#	dh_installdebconf
#	dh_installinit
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V "libpmount$(soname) (>= $(version))"
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## libpmount 0.0.9

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 
 CFLAGS = -Wall -g
-MK_CFLAGS = -D_REENTRANT
+MK_CFLAGS = -D_REENTRANT -DUSE_LOOP
 
 PACKAGE = libpmount
 SOVERSION = 0.0
@@ -23,17 +23,21 @@
 build: $(SONAME) $(LIBNAME)
 
 $(LIBNAME): $(ST_OBJS)
-	$(AR) cru $@ $<
+	$(AR) cru $@ $^
 
 $(SONAME): $(SH_OBJS)
-	$(CC) -Wl,-z,defs -Wl,-soname,$(SONAME) -shared -o $@ $<
+	$(CC) -shared \
+	  -Wl,-z,defs \
+	  -Wl,-soname -Wl,$(SONAME) \
+	  -Wl,--version-script=Versions \
+	  -o $@ $^
 
 check: build
 	# check if we are root, and it's not fake
 	if test `id -u` = 0 && test -z "$(FAKEROOTKEY)"; then \
-	  for i in tests/*.sh; do sh $i; done \
+	  $(MAKE) -C tests; \
 	else \
-	  echo "Not running as root, skipping checks." \
+	  echo "Not running as root, skipping checks."; \
 	fi
 
 install: build
@@ -52,4 +56,5 @@
 	$(RM) $(SH_OBJS)
 	$(RM) $(SONAME)
 	$(RM) $(LIBNAME)
+	$(MAKE) -C tests $@

=== tests/Makefile ===
#
# libpmount tests
#

export PATH := /sbin:/usr/sbin:$(PATH)
MK_CFLAGS = -I../src -L.. -lpmount

tests: ext2fs.img isofs.img

ext2fs isofs: test.c
	$(CC) $< -o $@ $(CFLAGS) $(MK_CFLAGS) -DFSNAME="\"$@\""

ext2fs.img: ext2fs
	dd if=/dev/zero of=$<.img bs=1024k count=1
	mke2fs -F $<.img
	mkdir -p $<.mnt
	./$<

isofs.img: isofs
	dd if=/dev/zero of=$<.dummy bs=1024k count=1
	mkisofs -o $<.img -r $<.dummy
	mkdir -p $<.mnt
	./$<

clean:
	$(RM) ext2fs isofs
	$(RM) *.bin *.img *.dummy
	rmdir -p *.mnt || true

=== debian/changelog ===
libpmount (0.0.9) unstable; urgency=low

  * Use dh_install instead of dh_movefiles.
    - Rename libpmount-dev.files to libmount-dev.install
    - Rename libpmount0.0.files to libpmount0.0.install.
  * Remove commented out dh_installdebconf, dh_installinit and dh_installinfo.
  * Do not ignore make errors from on clean target.
  * Use dpkg-parsechangelog instead of manually parsing the changelog to get
    the current upstream version.
  * Use binary:Version instead of deprecated Source-Version substvar.
  * Do not remove non-existent stamp files.
  * Remove useless libpmount0.0.shlibs file.

 -- Guillem Jover <guillem@debian.org>  Tue, 07 Aug 2007 02:25:30 +0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: libpmount-dev
 Section: libdevel
 Architecture: any
-Depends: libpmount0.0 (= ${Source-Version})
+Depends: libpmount0.0 (= ${binary:Version})
 Description: portable mount library - development files
  This library implements functions pmount() and pumount() as wrappers to
  the real mount/unmount unportable interfaces on each platform.

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,8 @@
 	CFLAGS += -O2
 endif
 
-version=`head -n 1 debian/changelog | cut -d '(' -f 2- | cut -d ')' -f 1`
-soname=`echo $$version | cut -d . -f -2`
+version := $(shell dpkg-parsechangelog | sed -ne 's,^Version: ,,p' )
+soversion := $(shell echo $(version) | cut -d. -f-2 )
 
 build:
 	dh_testdir
@@ -24,9 +24,8 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp
 	
-	-$(MAKE) clean
+	$(MAKE) clean
 	
 	dh_clean
 
@@ -47,17 +46,13 @@
 	dh_installchangelogs
 	dh_installdocs
 	dh_installexamples
-	dh_movefiles
-#	dh_install
-#	dh_installdebconf
-#	dh_installinit
-#	dh_installinfo
+	dh_install --sourcedir="$(CURDIR)/debian/tmp"
 	dh_installman
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_makeshlibs -V "libpmount$(soname) (>= $(version))"
+	dh_makeshlibs -V "libpmount$(soversion) (>= $(version))"
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## libpmount 0.0.10

=== Makefile ===
#
# libpmount Makefile
#

CFLAGS = -Wall -g
MK_CFLAGS = -D_REENTRANT -DUSE_LOOP

LIBNAME = libpmount
SOVERSION = 0.0
SONAME = $(LIBNAME).so.$(SOVERSION)
STNAME = $(LIBNAME).a

SRCS = $(addprefix src/,kerndep.c mtab.c pmount.c)
SH_OBJS = $(SRCS:.c=.lo)
ST_OBJS = $(SRCS:.c=.o)

%.lo: %.c
	$(CC) $(CFLAGS) $(MK_CFLAGS) -fPIC -c -o $@ $<

%.o: %.c
	$(CC) $(CFLAGS) $(MK_CFLAGS) -c -o $@ $<

build: $(SONAME) $(STNAME)

$(STNAME): $(ST_OBJS)
	$(AR) cru $@ $^

$(SONAME): $(SH_OBJS)
	$(CC) -shared \
	  -Wl,-z,defs \
	  -Wl,-soname -Wl,$(SONAME) \
	  -Wl,--version-script=Versions \
	  -o $@ $^

check: build
	# check if we are root, and it's not fake
	if test `id -u` = 0 && test -z "$(FAKEROOTKEY)"; then \
	  $(MAKE) -C tests; \
	else \
	  echo "Not running as root, skipping checks."; \
	fi

install: build
	mkdir -p $(DESTDIR)/usr/include
	mkdir -p $(DESTDIR)/usr/lib
	mkdir -p $(DESTDIR)/lib
	install -m644 src/pmount.h $(DESTDIR)/usr/include/
	install -s -m755 $(SONAME) $(DESTDIR)/lib/
	install -m755 $(STNAME) $(DESTDIR)/usr/lib/
	ln -s /lib/$(LIBNAME).so.0 $(DESTDIR)/usr/lib/$(LIBNAME).so
	ln -s $(SONAME) $(DESTDIR)/lib/$(LIBNAME).so.0

clean:
	$(RM) $(ST_OBJS)
	$(RM) $(SH_OBJS)
	$(RM) $(SONAME)
	$(RM) $(STNAME)
	$(MAKE) -C tests $@

=== debian/changelog ===
libpmount (0.0.10) unstable; urgency=low

  * Do not strip the shared library in Makefile. (Closes: #437397)
  * Now using Standars-Version 3.7.3 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Mon, 19 May 2008 06:09:07 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: libs
 Maintainer: Guillem Jover <guillem@debian.org>
 Build-Depends: debhelper (>= 5)
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 
 Package: libpmount-dev
 Section: libdevel

## libpmount 0.0.11

=== debian/changelog ===
libpmount (0.0.11) unstable; urgency=low

  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Now using Standards-Version 3.8.0 (no changes needed).
  * Cleanup debian/copyright:
    - Use UTF-8 copyright symbol.
    - Lower case «Maintained by».
    - Refer to LGPL 2.1 instead of LGPL 2.
    - Refer to LGPL-2.1 from common-licenses instead of just LGPL.
    - Mention “library” instead of “package” in license snippet.
  * Get the default shlibs file dependency by not giving any argument to
    dh_makeshlibs -V option.
  * Add a symbols file for libpmount0.0.

 -- Guillem Jover <guillem@debian.org>  Sun, 22 Feb 2009 04:37:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Section: libs
 Maintainer: Guillem Jover <guillem@debian.org>
-Build-Depends: debhelper (>= 5)
-Standards-Version: 3.7.3
+Build-Depends: debhelper (>= 7)
+Standards-Version: 3.8.0
 
 Package: libpmount-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,6 @@
 else
 	CFLAGS += -O2
 endif
-
-version := $(shell dpkg-parsechangelog | sed -ne 's,^Version: ,,p' )
-soversion := $(shell echo $(version) | cut -d. -f-2 )
 
 build:
 	dh_testdir
@@ -32,7 +29,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 	
 	$(MAKE) install DESTDIR="$(CURDIR)/debian/tmp"
@@ -52,7 +49,7 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_makeshlibs -V "libpmount$(soversion) (>= $(version))"
+	dh_makeshlibs -V
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## libpmount 0.0.12

=== debian/changelog ===
libpmount (0.0.12) unstable; urgency=low

  * Workaround debhelper compat v7 bug (#534565) in dh_install which makes
    files end up under /debian/tmp/ in the binary package, by not passing
    --sourcedir to dh_install.
  * Pass -s to arch dependent debhelper commands.
  * Now using Standards-Version 3.8.2 (no changes needed).
  * Remove dependencies from binary-indep target.
  * Remove redundant build dependency from binary-arch target.

 -- Guillem Jover <guillem@debian.org>  Thu, 25 Jun 2009 14:03:34 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: libs
 Maintainer: Guillem Jover <guillem@debian.org>
 Build-Depends: debhelper (>= 7)
-Standards-Version: 3.8.0
+Standards-Version: 3.8.2
 
 Package: libpmount-dev
 Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build:
	dh_testdir
	
	$(MAKE) build CFLAGS="$(CFLAGS)"

clean:
	dh_testdir
	dh_testroot
	
	$(MAKE) clean
	
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
	$(MAKE) install DESTDIR="$(CURDIR)/debian/tmp"

binary-indep:
# Nothing to do

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs -s
	dh_installdocs -s
	dh_installexamples -s
	dh_install -s
	dh_installman -s
	dh_link -s
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_makeshlibs -s -V
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## libpmount 0.0.13

=== debian/changelog ===
libpmount (0.0.13) unstable; urgency=low

  * Switch to source format “3.0 (native)”.
  * Now using Standards-Version 3.8.4 (no changes needed).
  * Add ${misc:Depends} to all Depends fields.
  * Remove duplicate from source Section field in libpmount0.0 binary stanza.
  * Add Vcs-Browser and Vcs-Git fields.

 -- Guillem Jover <guillem@debian.org>  Tue, 04 May 2010 17:06:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Priority: optional
 Section: libs
 Maintainer: Guillem Jover <guillem@debian.org>
+Vcs-Browser: http://git.hadrons.org/?p=libpmount.git
+Vcs-Git: git://git.hadrons.org/git/libpmount.git
 Build-Depends: debhelper (>= 7)
-Standards-Version: 3.8.2
+Standards-Version: 3.8.4
 
 Package: libpmount-dev
 Section: libdevel
 Architecture: any
-Depends: libpmount0.0 (= ${binary:Version})
+Depends: libpmount0.0 (= ${binary:Version}), ${misc:Depends}
 Description: portable mount library - development files
  This library implements functions pmount() and pumount() as wrappers to
  the real mount/unmount unportable interfaces on each platform.
@@ -20,9 +22,8 @@
  This package contains the static object and header files of libpmount.
 
 Package: libpmount0.0
-Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: portable mount library - shared library
  This library implements functions pmount() and pumount() as wrappers to
  the real mount/unmount unportable interfaces on each platform.

## libpmount 0.0.14

=== Makefile ===
--- 
+++ 
@@ -15,10 +15,10 @@
 ST_OBJS = $(SRCS:.c=.o)
 
 %.lo: %.c
-	$(CC) $(CFLAGS) $(MK_CFLAGS) -fPIC -c -o $@ $<
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(MK_CFLAGS) -fPIC -c -o $@ $<
 
 %.o: %.c
-	$(CC) $(CFLAGS) $(MK_CFLAGS) -c -o $@ $<
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(MK_CFLAGS) -c -o $@ $<
 
 build: $(SONAME) $(STNAME)
 
@@ -27,6 +27,7 @@
 
 $(SONAME): $(SH_OBJS)
 	$(CC) -shared \
+	  $(LDFLAGS) \
 	  -Wl,-z,defs \
 	  -Wl,-soname -Wl,$(SONAME) \
 	  -Wl,--version-script=Versions \
@@ -56,4 +57,3 @@
 	$(RM) $(SONAME)
 	$(RM) $(STNAME)
 	$(MAKE) -C tests $@
-

=== debian/changelog ===
libpmount (0.0.14) unstable; urgency=low

  * Switch the symbols file to use symver tags instead of symbol patterns.
  * Now using Standards-Version 3.9.2 (no changes needed).
  * Use dpkg-buildflags to set CPPFLAGS, CFLAGS and LDFLAGS.
  * Rename build target to build-arch, add build-indep and build targets,
    the latter depending on build-indep and build-arch. Rename install to
    install-arch.

 -- Guillem Jover <guillem@debian.org>  Fri, 03 Jun 2011 21:19:40 +0200

## libpmount 0.0.15

=== debian/changelog ===
libpmount (0.0.15) unstable; urgency=low

  * Use a format string on fprintf() instead of directly using a string
    variable to fix build with -Werror=format-security. Closes: #643432
  * Always check asprintf() return code.

 -- Guillem Jover <guillem@debian.org>  Wed, 28 Sep 2011 19:39:11 +0200

## libpmount 0.0.16

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 	  $(LDFLAGS) \
 	  -Wl,-z,defs \
 	  -Wl,-soname -Wl,$(SONAME) \
-	  -Wl,--version-script=Versions \
+	  -Wl,--version-script=libpmount.map \
 	  -o $@ $^
 
 check: build

=== tests/Makefile ===
--- 
+++ 
@@ -26,4 +26,3 @@
 	$(RM) ext2fs isofs
 	$(RM) *.bin *.img *.dummy
 	rmdir -p *.mnt || true
-

=== debian/changelog ===
libpmount (0.0.16) unstable; urgency=low

  * Do not use MNT_NODEV which was removed on kFreeBSD 7.0. Closes: #659280

 -- Guillem Jover <guillem@debian.org>  Thu, 09 Feb 2012 21:49:07 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Guillem Jover <guillem@debian.org>
 Vcs-Browser: http://git.hadrons.org/?p=libpmount.git
 Vcs-Git: git://git.hadrons.org/git/libpmount.git
-Build-Depends: debhelper (>= 7)
-Standards-Version: 3.8.4
+Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 7)
+Standards-Version: 3.9.2
 
 Package: libpmount-dev
 Section: libdevel
@@ -33,4 +33,3 @@
  kernel-related portability problems.
  .
  This package contains the libpmount shared object.
-

=== debian/rules ===
--- 
+++ 
@@ -5,18 +5,19 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-CFLAGS = -Wall -g
+CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS := -Wall $(shell dpkg-buildflags --get CFLAGS)
+LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
-ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
+build-indep:
 
-build:
+build-arch:
 	dh_testdir
 	
-	$(MAKE) build CFLAGS="$(CFLAGS)"
+	$(MAKE) build \
+	  CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
+
+build: build-indep build-arch
 
 clean:
 	dh_testdir
@@ -26,7 +27,7 @@
 	
 	dh_clean
 
-install: build
+install-arch: build-arch
 	dh_testdir
 	dh_testroot
 	dh_prep
@@ -34,10 +35,12 @@
 	
 	$(MAKE) install DESTDIR="$(CURDIR)/debian/tmp"
 
+.PHONY: build-indep build-arch build install-arch clean
+
 binary-indep:
 # Nothing to do
 
-binary-arch: install
+binary-arch: install-arch
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs -s
@@ -58,5 +61,4 @@
 
 binary: binary-indep binary-arch
 
-.PHONY: build clean binary-indep binary-arch binary install
-
+.PHONY: binary-indep binary-arch binary

## libpmount 0.0.17

=== debian/changelog ===
libpmount (0.0.17-3) unstable; urgency=medium

  * Now using Standards-Version 4.1.1 (no changes needed).
  * Line-wrap fields in debian/control.
  * Switch to debhelper compatibility level 10.
  * Switch to debian/watch format version 4.
  * Switch from debhelper deprecated option -s to -a.
  * Set Rules-Requires-Root to no.

 -- Guillem Jover <guillem@debian.org>  Sun, 05 Nov 2017 05:10:59 +0100

libpmount (0.0.17-2) unstable; urgency=medium

  * Use https for hadrons.org URLs.
  * Now using Standards-Version 3.9.8 (no changes needed).
  * Switch to the dpkg makefile fragments in debian/rules.
  * Enable hardening bindnow feature.

 -- Guillem Jover <guillem@debian.org>  Tue, 31 May 2016 19:51:50 +0200

libpmount (0.0.17-1) unstable; urgency=low

  * New upstream release.
    - Enable LFS.
    - Add genisoimage to Build-Depends, required by the test suite.
    - Rework debian/rules for the new upstream build system.
    - Switch source package to «3.0 (quilt)».
    - Rename libpmount0.0 to libpmount0.
  * Remove packaging history from debian/copyright.
  * Switch debian/copyright to machine-readable format 1.0.
  * Switch to debhelper compatibility level 9.
  * Now using Standards-Version 3.9.6 (no changes needed).
  * Add upstream Homepage field.
  * Add a watch file.
  * Update packaging Vcs field URLs to their new location, and switch to
    use the cgit web interface.
  * Make library packages multiarch:
   - Mark libpmount0 and libpmount-dev as “Multi-Arch: same”.
   - Define DEB_HOST_MULTIARCH and use it to set libdir.
   - Change paths from lib/ to lib/* in install files.

 -- Guillem Jover <guillem@debian.org>  Thu, 13 Aug 2015 00:34:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,23 @@
 Priority: optional
 Section: libs
 Maintainer: Guillem Jover <guillem@debian.org>
-Vcs-Browser: http://git.hadrons.org/?p=libpmount.git
-Vcs-Git: git://git.hadrons.org/git/libpmount.git
-Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 7)
-Standards-Version: 3.9.2
+Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/libpmount.git
+Vcs-Git: https://git.hadrons.org/git/debian/pkgs/libpmount.git
+Homepage: https://www.hadrons.org/software/libpmount/
+Standards-Version: 4.1.1
+Rules-Requires-Root: no
+Build-Depends:
+ dpkg-dev (>= 1.15.7),
+ debhelper (>= 10),
+ genisoimage,
 
 Package: libpmount-dev
 Section: libdevel
 Architecture: any
-Depends: libpmount0.0 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
+Depends:
+ libpmount0 (= ${binary:Version}),
+ ${misc:Depends},
 Description: portable mount library - development files
  This library implements functions pmount() and pumount() as wrappers to
  the real mount/unmount unportable interfaces on each platform.
@@ -21,9 +29,12 @@
  .
  This package contains the static object and header files of libpmount.
 
-Package: libpmount0.0
+Package: libpmount0
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
 Description: portable mount library - shared library
  This library implements functions pmount() and pumount() as wrappers to
  the real mount/unmount unportable interfaces on each platform.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
DEB_CFLAGS_MAINT_PREPEND = -Wall

include /usr/share/dpkg/default.mk

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build=$(DEB_HOST_GNU_TYPE)
else
	confflags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

D := $(CURDIR)/debian/tmp

config.status: configure
	dh_testdir

	./configure \
	  CPPFLAGS="$(CPPFLAGS)" \
	  CFLAGS="$(CFLAGS)" \
	  LDFLAGS="$(LDFLAGS)" \
	  $(confflags) \
	  --disable-silent-rules \
	  --prefix=/usr \
	  --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

build-indep:

build-arch: config.status
	dh_testdir

	$(MAKE)

build: build-indep build-arch

# Run the test suites
check-arch: build-arch
	dh_testdir

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) check
endif

clean:
	dh_testdir
	dh_testroot

	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install-arch: check-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(D)

.PHONY: build-indep build-arch build install-arch clean

binary-indep:
# Nothing to do

binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a -V
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: binary-indep binary-arch binary

=== debian/watch ===
# Site			Directory	Pattern			Version	Script
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://archive.hadrons.org/software/libpmount/	libpmount-([\d\.-]*)\.tar\.[gx]z	debian	uupdate

## libpmount 0.0.18

=== debian/changelog ===
libpmount (0.0.18-1) unstable; urgency=medium

  * New upstream release.
    - Switch to https for hadrons.org URLs.
    - Include <sys/sysmacros.h> for major() declaration. Closes: #915428
    - On Linux, avoid a TOCTOU in __findloop() with stat() by using fstat().
    - On Linux, always NUL-terminate the string copied with strncpy().
    - On Linux, completely rework and fix error handling.
    - Completely rework mtab handling.
  * Switch to debhelper compatibility level 11.
  * Now using Standards-Version 4.2.1 (no changes needed).
  * Remove ancient Build-Depends on dpkg-dev.
  * Add <!nocheck> build profile to genisoimage Build-Depends.
  * Add e2fsprogs explicitly to Build-Depends now that it is not Essential.

 -- Guillem Jover <guillem@debian.org>  Wed, 12 Dec 2018 02:35:02 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/libpmount.git
 Vcs-Git: https://git.hadrons.org/git/debian/pkgs/libpmount.git
 Homepage: https://www.hadrons.org/software/libpmount/
-Standards-Version: 4.1.1
+Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Build-Depends:
- dpkg-dev (>= 1.15.7),
- debhelper (>= 10),
- genisoimage,
+ debhelper (>= 11),
+ e2fsprogs <!nocheck>,
+ genisoimage <!nocheck>,
 
 Package: libpmount-dev
 Section: libdevel
